aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDuncaen <mail@duncano.de>2016-10-10 16:08:49 +0200
committerDuncaen <mail@duncano.de>2016-10-10 16:08:49 +0200
commit7538519d35f698daff3662b97d4f4961beb2c437 (patch)
treee2bc4f253a14a421da65cb2f8b9b1f2fb2b0d18b
parent6e8400a968a98d896764257eee211b1063bc3300 (diff)
downloaddotfiles-7538519d35f698daff3662b97d4f4961beb2c437.tar.gz
mksh: fix hostname in prompt
-rwxr-xr-xmkshrc.d/90-prompt.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/mkshrc.d/90-prompt.sh b/mkshrc.d/90-prompt.sh
index ea01491..50290c9 100755
--- a/mkshrc.d/90-prompt.sh
+++ b/mkshrc.d/90-prompt.sh
@@ -1 +1 @@
-PS1='$(d=${PWD/$HOME/\~};print ${d##*/})$(((r=$?))&&$([ -n "$SSH_CONNECTION" ] && print "@${HOSTNAME:=$(hostname)}"||true)&&print "?\e[0;31;40m$r\e[0m")$(((USER_ID))&&print \$||print \#) '
+PS1='$(d=${PWD/$HOME/\~};print ${d##*/})$([ "$SSH_CONNECTION" ]&&print "@${HOSTNAME:=$(hostname)}")$(((r=$?))&&print "?\e[0;31;40m$r\e[0m")$(((USER_ID))&&print \$||print \#) '